## org.eclipse.ocl.cst
Interface VariableCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Implementing Classes:
  VariableCSImpl

    public interface VariableCS

extends CSTNode

A representation of the model object 'Variable CS'.

The following features are supported:

- `Name`
- `Type CS`
- `Init Expression`

See Also:
  `CSTPackage.getVariableCS()`

Method Summary
`OCLExpressionCS` `getInitExpression()` Returns the value of the 'Init Expression' containment reference
`String` `getName()` Returns the value of the 'Name' attribute
`TypeCS` `getTypeCS()` Returns the value of the 'Type CS' containment reference
`void` `setInitExpression(OCLExpressionCS value)` Sets the value of the '`Init Expression`' containment reference
`void` `setName(String value)` Sets the value of the '`Name`' attribute
`void` `setTypeCS(TypeCS value)` Sets the value of the '`Type CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `CSTPackage.getVariableCS_Name()`

### setName

    void setName(String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getTypeCS

    TypeCS getTypeCS()

  Returns the value of the 'Type CS' containment reference.

  If the meaning of the 'Type CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type CS' containment reference.
  See Also:
    `setTypeCS(TypeCS)`, `CSTPackage.getVariableCS_TypeCS()`

### setTypeCS

    void setTypeCS(TypeCS value)

  Sets the value of the '`Type CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Type CS' containment reference.
  See Also:
    `getTypeCS()`

### getInitExpression

    OCLExpressionCS getInitExpression()

  Returns the value of the 'Init Expression' containment reference.

  If the meaning of the 'Init Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Init Expression' containment reference.
  See Also:
    `setInitExpression(OCLExpressionCS)`, `CSTPackage.getVariableCS_InitExpression()`

### setInitExpression

    void setInitExpression(OCLExpressionCS value)

  Sets the value of the '`Init Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Init Expression' containment reference.
  See Also:
    `getInitExpression()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.